"
COPYRIGHT (c) 2021 LabWare
"
"{ Package: 'stx:goodies/monticello' }"

"{ NameSpace: Smalltalk }"

MCStXSnapshotTransformation subclass:#MCStXSnapshotPostReadTransformation
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-St/X Storing'
!

!MCStXSnapshotPostReadTransformation class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021 LabWare


"
!

documentation
"
    documentation to be added.

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!MCStXSnapshotPostReadTransformation methodsFor:'visiting'!

visitMethodDefinition: definition
    | source |

    source := definition source asStringWithNativeLineEndings.  "/ Make sure source has native line endings
    source := source tabsToSpaces.                              "/ Make sure there are tabs and spaces used for indentation
                                                                "/ (as it is norm on Smalltalk/X)
    source := source asSingleByteStringIfPossible.              "/ Convert to single byte string

    definition source: source.

    "Created: / 24-04-2015 / 16:02:18 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 04-05-2021 / 11:24:59 / Jan Vrany <jan.vrany@labware.com>"
! !

!MCStXSnapshotPostReadTransformation class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCStXSnapshotPostReadTransformation.st,v 1.1 2013-05-29 11:47:15 vrany Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCStXSnapshotPostReadTransformation.st,v 1.1 2013-05-29 11:47:15 vrany Exp $'
! !

